All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.calculateditems
Class DataSourceTreeModel

    com.sas.dataselectors.calculateditems.DataSourceTreeModel

All Implemented Interfaces:
  com.sas.expressions.visuals.DataSourceTreeInterface, java.io.Serializable, javax.swing.tree.TreeModel

    public class DataSourceTreeModel

implements com.sas.expressions.visuals.DataSourceTreeInterface

Description: Copyright: Copyright (c) 2002 Company: SAS

See Also:
  Serialized Form

Field Summary
`protected boolean` | `m_isCube`

Constructor Summary
`DataSourceTreeModel(com.sas.expressions.visuals.DataSourceTreeInterface[] childModels)` Alternate Constructor for combining DataSourceTreeModels
`DataSourceTreeModel(java.lang.String name, java.lang.String desc, CalculatedObjectFactoryInterface factory, boolean physicalData)` Constructor

Method Summary
`javax.swing.tree.TreeCellRenderer` | `getJTreeCellRenderer(javax.swing.JTree jTree)` Returns a TreeCellRenderer for use by a JTree showing this TreeModel.

Field Detail

### m_isCube

    protected transient boolean m_isCube

Constructor Detail

### DataSourceTreeModel

    public DataSourceTreeModel(java.lang.String name,
                               java.lang.String desc,
                               CalculatedObjectFactoryInterface factory,
                               boolean physicalData)

  Constructor

### DataSourceTreeModel

    public DataSourceTreeModel(com.sas.expressions.visuals.DataSourceTreeInterface[] childModels)

  Alternate Constructor for combining DataSourceTreeModels

Method Detail

### getJTreeCellRenderer

    public javax.swing.tree.TreeCellRenderer getJTreeCellRenderer(javax.swing.JTree jTree)

  Description copied from interface: `DataSourceTreeInterface`
  Returns a TreeCellRenderer for use by a JTree showing this TreeModel.

  Specified by:
    `getJTreeCellRenderer` in interface `com.sas.expressions.visuals.DataSourceTreeInterface`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.